use axum::Router;
use axum::routing::get;

use crate::handler::article::{add, add_ui, index, list_with_tags};

pub fn init_router() -> Router {
    Router::new()
        .route("/", get(index))
        .route("/add", get(add_ui).post(add))
        .route("/tags", get(list_with_tags))
}